class smartd::defaults {
  $autoupdate   = false
  $package_name = 'smartmontools'
  $scan         = true
  $devices      = []
  $device_opts  = {}
  $mail_to      = 'root'
  $schedule     = 'daily'	# other choices: once, diminishing

  case $::osfamily {
    'FreeBSD': {
      $config_file = '/usr/local/etc/smartd.conf'
      $service_name = 'smartd'
    }
    'Debian': {
      $config_file = '/etc/smartd.conf'
      $service_name = 'smartmontools'
    }
    default: { fail("smartd: unsupported OS family ${::osfamily}}") }
  }
}
